encountertext = "Rose vous bloque le chemin." --Modify as necessary. It will only be read out in the action select screen.
wavetimer = 10.0
arenasize = {155, 130}
nextwaves = {"bullettest_touhou"}

music = "strongermonsters"

enemies = {
"Rose"
}

enemypositions = {
{0, 0}}

-- A custom list with attacks to choose from. Actual selection happens in EnemyDialogueEnding(). Put here in case you want to use it.
possible_attacks = {"Fiole_explosifs","Acide_tombant","Atome","Lancer_fiole","Fiole_explosifs2","Acide_tombant2","Fiole_explosifs3","Electron","Fiole_tombante","Cranerebond"}

--{"Fiole_explosifs","Acide_tombant","Atome","Lancer_fiole","Fiole_explosifs2","Acide_tombant2","Fiole_explosifs3","Electron","Fiole_tombante","Cranerebond"}


function EncounterStarting()
    -- If you want to change the game state immediately, this is the place.
Player.lv = 2
Player.hp = 24
end

function EnemyDialogueStarting()
    -- Good location for setting monster dialogue depending on how the battle is going.
end

function EnemyDialogueEnding()
    -- Good location to fill the 'nextwaves' table with the attacks you want to have simultaneously.
    -- This example line below takes a random attack from 'possible_attacks'.
    nextwaves = { possible_attacks[math.random(#possible_attacks)] }
end

function DefenseEnding() --This built-in function fires after the defense round ends.
    encountertext = RandomEncounterText() --This built-in function gets a random encounter text from a random enemy.
end

function HandleSpare()
     State("ENEMYDIALOGUE")
end

function HandleItem(ItemID)
      if ItemID == "DOGTEST1" then
        BattleDialog({"You threw the Stick at\nOne of them.\nOne of them threw back!\nDamage! (2 HP)"})
    Player.Hurt(2)
    elseif ItemID == "Krill-tonic2" then
        BattleDialog({"Vous buvez le krill tonic!\nLe gout est indescriptible. (10 HP)"})
    Player.Heal(10)
    elseif ItemID == "DOGTEST3" then
        BattleDialog({"You ate Asgore's Pie.\nBecause apparently he made one\nYou got healed! (20 HP)"})
    Player.Heal(59)
    elseif ItemID == "DOGTEST4" then
        BattleDialog({"You ate Papyrus's Spaghetti.\nYou got healed! (20 HP)"})
    Player.Heal(30)
    elseif ItemID == "DOGTEST5" then
        BattleDialog({"You started drinking Ketchup.\nHot! Hot! Hoooot!\nYou got healed! (6 HP)"})
    Player.Heal(6)
    elseif ItemID == "DOGTEST6" then
        BattleDialog({"You started eating eggs.\nOuch!\nYou got healed! (20 HP)"})
    Player.Heal(30)
    
    end
end